from django.http import JsonResponse
from rest_framework import viewsets
from api.serializers import ParaderoSerializer
from api.models import Paradero
import logging

class ParaderoViewSet(viewsets.ModelViewSet):
    queryset = Paradero.objects.all()
    serializer_class = ParaderoSerializer


def info_public(request, pk):

    if hasattr(request.META,'HTTP_REFERER'):
        referer = request.META['HTTP_REFERER']
    else:
        protocol = request.scheme
        host = request.META['HTTP_HOST']
        port = request.META['SERVER_PORT']
        referer = f'{protocol}://{host}:{port}'

    return JsonResponse({
        'url_public': f'{referer}/public/infoStop?codigoParadero={pk}'
    })